kr.co.hanwha.hifive.data.model

## Class MemberInfoData

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.MemberInfoData

    public class MemberInfoData
    extends java.lang.Object

Created by sanghoonkwon on 2018. 1. 18..

### Field Summary

Fields
`(package private) boolean` `isTopLine`
`(package private) int` `member_id` 256
`(package private) java.lang.String` `member_name` "안세준"
`(package private) int` `package_id` 0
`(package private) java.lang.String` `package_name` ""
`(package private) java.lang.String` `profile_url` null
`(package private) int` `project_id` 32
`(package private) java.lang.String` `project_name` "NewGW-Dev"
`(package private) java.lang.String` `rank` "차장"
`(package private) int` `rank_title` 40
`(package private) int` `role_code` 20
`(package private) java.lang.String` `role_name` "캡틴"
`(package private) long` `selectedTime`
`(package private) int` `track_id` 0
`(package private) java.lang.String` `track_name` null

### Constructor Summary

Constructors
Constructor and Description
`MemberInfoData()`
`MemberInfoData(int member_id, java.lang.String member_name, java.lang.String profile_url, int project_id, java.lang.String project_name)`
`MemberInfoData(LoginData loginData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clearSelectedTime()`
`java.lang.String` `getKey()`
`int` `getMember_id()`
`java.lang.String` `getMember_name()`
`java.lang.String` `getProfile_url()`
`int` `getProject_id()`
`java.lang.String` `getProject_name()`
`java.lang.String` `getRank()`
`int` `getRole_code()`
`java.lang.String` `getRole_name()`
`long` `getSelectedTime()`
`int` `getTrack_id()`
`boolean` `isTopLine()`
`void` `setSelectedTime()`
`void` `setTopLine(boolean topLine)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### member_id

    int member_id

256

#### member_name

    java.lang.String member_name

"안세준"

#### project_id

    int project_id

32

#### project_name

    java.lang.String project_name

"NewGW-Dev"

#### package_id

    int package_id

0

#### package_name

    java.lang.String package_name

""

#### track_id

    int track_id

0

#### track_name

    java.lang.String track_name

null

#### role_code

    int role_code

20

#### role_name

    java.lang.String role_name

"캡틴"

#### profile_url

    java.lang.String profile_url

null

#### rank_title

    int rank_title

40

#### rank

    java.lang.String rank

"차장"

#### selectedTime

    long selectedTime

#### isTopLine

    boolean isTopLine

### Constructor Detail

#### MemberInfoData

    public MemberInfoData()

#### MemberInfoData

    public MemberInfoData(@NonNull
                          int member_id,
                          @NonNull
                          java.lang.String member_name,
                          @Nullable
                          java.lang.String profile_url,
                          @NonNull
                          int project_id,
                          @Nullable
                          java.lang.String project_name)

#### MemberInfoData

    public MemberInfoData(@NonNull
                          LoginData loginData)

### Method Detail

#### getTrack_id

    public int getTrack_id()

#### isTopLine

    public boolean isTopLine()

#### setTopLine

    public void setTopLine(boolean topLine)

#### getKey

    public java.lang.String getKey()

#### getMember_id

    public int getMember_id()

#### getMember_name

    public java.lang.String getMember_name()

#### getProject_id

    public int getProject_id()

#### getProject_name

    public java.lang.String getProject_name()

#### getRole_code

    public int getRole_code()

#### getRole_name

    public java.lang.String getRole_name()

#### getRank

    public java.lang.String getRank()

#### getProfile_url

    public java.lang.String getProfile_url()

#### getSelectedTime

    public long getSelectedTime()

#### setSelectedTime

    public void setSelectedTime()

#### clearSelectedTime

    public void clearSelectedTime()